Properties Methods Events Config Options Direct Link

    Provider
      CookieProvider

# Class Ext.state.CookieProvider

Package: | Ext.state
Defined In: | CookieProvider.js
Class: | CookieProvider
Extends: | Provider

The default Provider implementation which saves state via cookies.
Usage:

    var cp = new Ext.state.CookieProvider({
           path: "/cgi-bin/",
           expires: new Date(new Date().getTime()+(1000*60*60*24*30)), //30 days
           domain: "extjs.com"
       });
       Ext.state.Manager.setProvider(cp);

## Config Options

Config Options | Defined By
--- | ---

domain : String
The domain to save the cookie for. Note that you cannot specify a different domain than your page is on, but you can...
The domain to save the cookie for. Note that you cannot specify a different domain than your page is on, but you can specify a sub-domain, or simply the domain itself like 'extjs.com' to include all sub-domains if you need to access cookies across different sub-domains (defaults to null which uses the same domain the page is running on including the 'www' like 'www.extjs.com')

CookieProvider

| expires : Date The cookie expiration date (defaults to 7 days from now) | CookieProvider
| path : String The path for which the cookie is active (defaults to root '/' which makes it active for all pages in the site) | CookieProvider
| secure : Boolean True if the site is using SSL (defaults to false) | CookieProvider

## Public Properties

Property | Defined By
--- | ---
| var : Object a -> Array n -> Number d -> Date b -> Boolean s -> String o -> Object -> Empty (null) | Provider

## Public Methods

Method | Defined By
--- | ---

CookieProvider( `Object config` )
Create a new CookieProvider
Create a new CookieProvider
Parameters:

- `config` : Object
  The configuration object

Returns:

- void

CookieProvider

clear( `String name` ) : void
Clears a value from the state
Clears a value from the state
Parameters:

- `name` : String
  The key name

Returns:

- void

Provider

decodeValue( `String value` ) : Mixed
Decodes a string previously encoded with encodeValue.
Decodes a string previously encoded with encodeValue.
Parameters:

- `value` : String
  The value to decode

Returns:

- `Mixed`
  The decoded value

Provider

encodeValue( `Mixed value` ) : String
Encodes a value including type information. Decode with decodeValue.
Encodes a value including type information. Decode with decodeValue.
Parameters:

- `value` : Mixed
  The value to encode

Returns:

- `String`
  The encoded value

Provider

get( `String name`, `Mixed defaultValue` ) : Mixed
Returns the current value for a key
Returns the current value for a key
Parameters:

- `name` : String
  The key name
- `defaultValue` : Mixed
  A default value to return if the key's value is not found

Returns:

- `Mixed`
  The state data

Provider

set( `String name`, `Mixed value` ) : void
Sets the value for a key
Sets the value for a key
Parameters:

- `name` : String
  The key name
- `value` : Mixed
  The value to set

Returns:

- void

Provider

## Public Events

Event | Defined By
--- | ---

statechange : ( `Provider this`, `String key`, `String value` )
Fires when a state change occurs.
Fires when a state change occurs.
Listeners will be called with the following arguments:

- `this` : Provider
  This state provider
- `key` : String
  The state key which was changed
- `value` : String
  The encoded value for the state

Provider